Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.gwtext.client.widgets.event
Interface WindowListener

All Superinterfaces:
  BoxComponentListener, ComponentListener, ContainerListener, PanelListener

All Known Implementing Classes:
  WindowListenerAdapter

    public interface WindowListener

extends PanelListener

`Window` listener.

Method Summary
`void` | `onActivate(Window source)` Fires after the window has been visually activated via `Window.setActive()`.
`void` | `onDeactivate(Window source)` Fires after the window has been visually deactivated via `Window.setActive(boolean)`
`void` | `onMaximize(Window source)` Fires after the window has been maximized.
`void` | `onMinimize(Window source)` Fires after the window has been minimized.
`void` | `onResize(Window source, int width, int height)` Fires after the window has been resized.
`void` | `onRestore(Window source)` Fires after the window has been restored to its original size after being maximized.

Methods inherited from interface com.gwtext.client.widgets.event.PanelListener
`doBeforeClose, doBeforeCollapse, doBeforeExpand, onActivate, onBodyResize, onClose, onCollapse, onDeactivate, onExpand, onTitleChange`

Methods inherited from interface com.gwtext.client.widgets.event.ContainerListener
`doBeforeAdd, doBeforeRemove, onAdd, onAfterLayout, onRemove`

Methods inherited from interface com.gwtext.client.widgets.event.BoxComponentListener
`onMove, onResize`

Methods inherited from interface com.gwtext.client.widgets.event.ComponentListener
`doBeforeDestroy, doBeforeHide, doBeforeRender, doBeforeShow, doBeforeStateRestore, doBeforeStateSave, onDestroy, onDisable, onEnable, onHide, onRender, onShow, onStateRestore, onStateSave`

Method Detail

### onActivate

    void onActivate(Window source)

  Fires after the window has been visually activated via `Window.setActive()`.

  Parameters:
    `source` - this

### onDeactivate

    void onDeactivate(Window source)

  Fires after the window has been visually deactivated via `Window.setActive(boolean)`

  Parameters:
    `source` - this

### onMaximize

    void onMaximize(Window source)

  Fires after the window has been maximized.

  Parameters:
    `source` - this

### onMinimize

    void onMinimize(Window source)

  Fires after the window has been minimized.

  Parameters:
    `source` - this

### onResize

    void onResize(Window source,
                  int width,
                  int height)

  Fires after the window has been resized.

  Parameters:
    `source` - this
    `width` - the new width
    `height` - the new height

### onRestore

    void onRestore(Window source)

  Fires after the window has been restored to its original size after being maximized.

  Parameters:
    `source` - this

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD